#ifndef DICTSELECTION_H
#define DICTSELECTION_H

#include <QObject>

class DictConf;
class QTimerEvent;
class QClipboard;

class DictSelection : public QObject
{
	Q_OBJECT

public:
	DictSelection();
	void setup(const DictConf &conf);

public Q_SLOTS:
	void set(bool on);

Q_SIGNALS:
	void selectionChanged(const QString &);

private Q_SLOTS:
	void selection();

private:
	bool local, remote, desktop;
	int minLen, maxLen;
	int timer;
	bool state;
	QClipboard *clipboard;

	QString currentSelection();
	void setTimeout(int timeout);
	void timerEvent(QTimerEvent *event);
};

#endif
