#ifndef DICTSETTINGS_H
#define DICTSETTINGS_H

#include "ui_settings.h"

#include <KDialog>

class DictConf
{
	KSharedConfigPtr config;
	QString dicthost;

public:
	bool corrections, headings, matchFrame, autoMatch;
	int sidebarSide, modifierKey, yankMin, yankMax, yankWarn;
	bool yank, localYank, remoteYank, desktopYank;
	int defaultSearch;

	DictConf();
	~DictConf();
	void setHost(const QString &host) { dicthost = host; };

	void read();
	QStringList server();
	QString host();
	int port();
	QStringList database();
	QString strategy();

	void write();
	void writeServer(const QStringList &hosts);
	void writeHost(const QStringList &database, const QString &strategy);

	QString username();
	QString password();
	void writeUser(const QString &username, const QString &password);
	void deleteUser();

	int sidebar();
	QList<int> widths();
	int stack();
	bool sidebarVisible();

	void writeSidebar(int index);
	void writeWidths(QList<int> sizes);

	QString font();
	void writeFont(const QString &font);
};


class DictSettings : public KDialog, public Ui::Settings
{
public:
	DictSettings(QWidget *parent);
	void setHosts(const QStringList &hosts);
	QStringList hosts();
	void setFont(const QFont &font);
	void readConf(const DictConf &conf);
	void writeConf(DictConf &conf);
	QFont font() { return fontrequester->font(); };
};

#endif
